Subject: Re: bug#78250: 31.0.50; Eglot: eglot-show-call-hierarchy

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 May 2025 13:41:53 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 9 May 2025 09:51:43 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On Fri, May 9, 2025 at 9:38 AM Gerd Möllmann <[email-masked]> wrote:
> 
> > I don't have that flag in compile-commands.json, but maybe the
> > difference is that I also build with clang (macOS/arm64). The
> > compilation database is also from bear -- gmake.
> 
> That's likely the reason. I'm on GNU/Linux and using gcc.  I'll let
> Eli decide if the patch is useful.  FWIW it's helpful here and doesn't
> hurt any other case.

If it can help in some cases and causes no harm in others, it's okay
to install that patch.